# norootforbuild

Name:           correct-live-install-livecd
Version:        1
Release:        12.1
License:        GPL
Group:          System/Fhs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        Creacio dels fitxers correct-live-install i correct_live_for_reboot per LiveCD
Vendor:		linkat

%description
Paquet que genera els fitxers correct_live_install i correct_live_for_reboot, indica el processos posteriors a l'instal.lacio del LiveCD en el disc dur.

%prep
%setup -q -T -c

%build
cat >correct_live_install <<EOF
#!/bin/bash

# Desactivar autologin
mv /etc/sysconfig/displaymanager /etc/sysconfig/displaymanager.bak
sed -e 's/DISPLAYMANAGER_AUTOLOGIN=\"tux\"/DISPLAYMANAGER_AUTOLOGIN=\"\"/g' /etc/sysconfig/displaymanager.bak > /etc/sysconfig/displaymanager
rm -rf /etc/sysconfig/displaymanager.bak

# Activant serveis
chkconfig rpcbind on
chkconfig nfs on
chkconfig smbfs on
chkconfig cupsd on
chkconfig postfix on
chkconfig crond on
chkconfig smartd on
chkconfig sshd on
chkconfig network on

# Esborrar Yast2-live-installer i usuari tux
rpm -e yast2-live-installer
userdel -r tux

# Netejar el boot.local
sed '/network/d' /etc/init.d/boot.local > /etc/init.d/boot.local.bak
mv /etc/init.d/boot.local.bak /etc/init.d/boot.local

# Esborrar langset
rm /etc/langset.sh  
rm -rf /etc/langset/
rm /etc/init.d/boot.langset

# Afegir els idiomes al Grub
/usr/sbin/gfxboot --add-languages ca_ES es_ES en_US --default-language ca_ES

EOF

cat >correct_live_for_reboot <<EOF
#! /bin/sh

# this script is called from the live installer once it finished copying the live
# image. So we only do the minimal changes necessary to reboot into the system

is_usb=0
if test "$1" = usb; then
  is_usb=1
fi

chkconfig sshd on
chkconfig cron on
# TODO make this conditional chkconfig boot.braille off
chkconfig boot.ldconfig on
chkconfig boot.langset off
chkconfig boot.compcache off
EOF

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp correct_live_install $RPM_BUILD_ROOT/usr/bin/
cp correct_live_for_reboot $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(544,root,root)
/usr/bin/correct_live_install
/usr/bin/correct_live_for_reboot

%changelog
* Tue Aug 03 2010 dlara@espherica.com
- Added script to delete langset stuff
- Added script to add languages to Grub installed system
- Added correct_live_for_reboot file

* Wed Jul 28 2010 dlara@espherica.com
- Added script to active evince desktop file

* Wed Jul 14 2010 dlara@espherica.com
- Added script to activate NetworkManager during Automatic configuration

* Wed Jun 16 2010 dlara@espherica.com
- Split packages for LiveCD and Install

* Thu Jun 10 2010 dlara@espherica.com
- Added scripts to activate some services
- Deleted script to active NM (now activate by default)

* Mon Jun 7 2010 dlara@espherica.com
- Added script to active NetworkManager

* Wed Jun 2 2010 dlara@espherica.com
- Added script to change WM from Twm to Gnome in install mode

* Fri May 28 2010 dlara@espherica.com
- Initial release
